<div class="carded">
    <div class="top-bg warn"></div>

    <div class="center">
        <div class="header">
            <h2 primary>Listado de Declaraciones Juradas</h2>           
        </div>

        <div class="content-card">
            <perfect-scrollbar>
                <mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
                    <ng-container matColumnDef="iddeclaracionjuh" class="make-gold">
                        <mat-header-cell *matHeaderCellDef>Dec. Jurada</mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.iddeclaracionjuh }} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="fecha">
                        <mat-header-cell *matHeaderCellDef> Fecha </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.fecha | date: 'dd/MM/yyyy HH:mm:ss'}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="codigo_formulario">
                        <mat-header-cell *matHeaderCellDef> Cod. Formulario </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.codigo_formulario}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="numero_orden">
                        <mat-header-cell *matHeaderCellDef> Nro. Orden </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.numero_orden}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="nombre_tipo_tramite">
                        <mat-header-cell *matHeaderCellDef> Tipo Trámite </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.nombre_tipo_tramite}} </mat-cell>
                    </ng-container>                  

                    <ng-container matColumnDef="codigo_catastral">
                        <mat-header-cell *matHeaderCellDef> Cod. Catastral </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.codigo_catastral}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="numero_inmueble">
                        <mat-header-cell *matHeaderCellDef> Nro. Inmueble </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.numero_inmueble}} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="nombre_propietario">
                        <mat-header-cell *matHeaderCellDef> Propietario </mat-header-cell>
                        <mat-cell *matCellDef="let element"> {{element.nombre_propietario }} </mat-cell>
                    </ng-container>

                    <ng-container matColumnDef="pdf">
                        <mat-header-cell *matHeaderCellDef>PDF</mat-header-cell>
                       
                        <mat-cell *matCellDef="let element" >                        
                            <button class="w-100" mat-button color="info" (click)="goToLink(element.iddeclaracionjuh)">Descargar</button>
                        </mat-cell>
                    </ng-container>
                    
                    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>                    
                    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
                </mat-table>
            </perfect-scrollbar>

            <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </div>
    </div>
</div>